module.exports = {
  createDrag (obj) {
    const drag = (ev) => {
      obj && obj.drag && obj.drag(ev)
    }
    const drop = (ev) => {
      document.removeEventListener('mousemove', drag)
      document.removeEventListener('mouseup', drop)
      obj && obj.drop && obj.drop(ev)
    }
    document.addEventListener('mousemove', drag)
    document.addEventListener('mouseup', drop)
  },
  guid (n) {
    var text = ''
    if (!n) n = 5
    var possible = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789'
    const d = new Date()

    text += possible[d.getMilliseconds() % possible.length]
    text += possible[d.getSeconds()]
    text += possible[d.getMinutes()]
    text += possible[d.getDate()]
    for (var i = 0; i < n; i++) { text += possible.charAt(Math.floor(Math.random() * possible.length)) }

    return text
  }
}
